{{#if isList}}
  <div class="card-btn card-button{{buttonType}} card-btn{{cardStateBtnType}}">
    <!-- <img src="" alt="Avatar" class="card-avatar"> -->
    <div class="card-btn__thumb">
      {{#if button.hasNotifications}}
        <a href="" class="card-btn__notif-circle notif-circle">{{button.notificationsNumber}}</a>
      {{/if}}
      <div class="card-btn__author">
        {{#unless isButtonNetRoute}}
            {{#if hasNetIcon}}
                  <div class="card-btn__tags card-button__nets">
                    {{#each buttonNetImgs as |net| }}
                      <div class="card-btn__link-tag card-btn__link-net">
                        <img src='https://help-buttons-staging.s3.eu-west-3.amazonaws.com/statics/assets/categories/{{net.imgUrl}}.png' alt="{{net.name}}" class="card-avatar card-btn__net-icon">Red {{net.name}}
                      </div>
                    {{/each}}
                  </div>
            {{/if}}
        {{/unless}}
        <div class="card-btn__avatar">
        {{#if (is-equal routeType "userList")}}
          {{#if hasCreatorAvatar}}
            <img src="{{creatorAvatar.smallThumb}}" alt="Avatar" class="card-avatar">
          {{else}}
            {{svg-jar 'profile_def' class="default-avatar"}}
          {{/if}}
        {{else}}
          {{#if button.isMine}}
            {{#if hasCreatorAvatar}}
              <img src="{{creatorAvatar.smallThumb}}" alt="Avatar" class="card-avatar">
            {{else}}
              {{svg-jar 'profile_def' class="default-avatar"}}
            {{/if}}
          {{else}}
            {{#if hasCreatorAvatar}}
              <img src="{{creatorAvatar.smallThumb}}" alt="Avatar" class="card-avatar">
            {{else}}
              {{svg-jar 'profile_def' class="default-avatar"}}
            {{/if}}
          {{/if}}
        {{/if}}
      </div>
        {{!-- END Picture avatar --}}
        <div class="card-btn__author-wrap">
          <span class="card-btn__author-name">
            <span>
              {{creator.nickname}}
            </span>
          </span>
          <span class="card-btn__state card-btn__state{{cardBtnType}}">
            {{#if needsAndOffer}}
              {{#if button.swap}}
                <span class="card-button__status--busca">NECESITA</span> y <span class="card-button__status--ofrece">OFRECE</span>
              {{else}}
                <span class="card-button__status--ofrece">OFRECE</span> y <span class="card-button__status--busca">BUSCA</span>
              {{/if}}
            {{else}}
              {{buttonIntention}}
            {{/if}}
          </span>
        </div>
      </div>
    </div>
    <div class="card-btn__content">
      {{#if button.isChangeButton}}
        {{#if button.swap}}
          <div class="card-btn__tags card-btn__tags--red">
            {{#each button.neededTags as |tag|}}
              <div class="card-btn__link-tag">
                #{{tag.name}}
              </div>
            {{/each}}
          </div>
        {{else}}
          <div class="card-btn__tags card-btn__tags--green">
            {{#each button.offerTags as |tag|}}
              <div class="card-btn__link-tag">
                #{{tag.name}}
              </div>
            {{/each}}
          </div>
        {{/if}}

      {{/if}}

      {{#if button.isOfferButton}}
        <div class="card-btn__tags card-btn__tags--green">

          {{#each button.offerTags as |tag|}}
            <div class="card-btn__link-tag">
              #{{tag.name}}
            </div>
          {{/each}}
        </div>
      {{else}}
        {{#if button.swap}}
          <div class="card-btn__tags card-btn__tags--green">
            {{#each button.offerTags as |tag|}}
              <div class="card-btn__link-tag">
                #{{tag.name}}
              </div>
            {{/each}}
          </div>
        {{else}}
          <div class="card-btn__tags card-btn__tags--red">
            {{#each button.neededTags as |tag|}}
              <div class="card-btn__link-tag">
                #{{tag.name}}
              </div>
            {{/each}}
          </div>
        {{/if}}
      {{/if}}
      <div class="resume">
        <p>
          {{formatedDescriptionResume}}
        </p>
      </div>

    </div>
    <div class="card-btn__head">
      <!-- {{#if hasLocationName}}
        {{#if hasFromToLocation}}
          <div class="card-button__city col-auto" {{action 'toggleAttr' 'showMap'}}>
            De {{button.locationName}}
              <br>
              {{#if button.toLocationName}}
                <span class="card-button__toCity">
                  A {{button.toLocationName}}
                </span>
              {{/if}}
          </div>
        {{else}}
          <div class="card-button__city col-auto" {{action 'toggleAttr' 'showMap'}}>
            {{button.locationName}}
          </div>
        {{/if}}
      {{/if}} -->
      {{#if hasLocationName}}
        {{#if hasFromToLocation}}
          <div class="card-button__city-list col-auto" {{action 'toggleAttr' 'showMap'}}>
            De {{button.locationName}}
              <br>
            {{#if button.toLocationName}}
              <span class="card-button__toCity-list">
                A {{button.toLocationName}}
              </span>
            {{/if}}
          </div>
        {{else if button.anyLocation}}
            <div class="card-button__city-list card-button__everywhere col-auto" {{action 'toggleAttr' 'showMap'}}>
            En todas partes
            </div>
        {{else}}
          <div class="card-button__city-list col-auto" {{action 'toggleAttr' 'showMap'}}>
            {{button.locationName}}
          </div>
        {{/if}}
      {{/if}}
      <div class="card-btn__when">
        {{#if hasFormatedDate}}
          {{formatedDate}}
        {{/if}}
      </div>
    </div>

    {{#if hasImage}}
      <picture class="card-btn__picture picture">
        <img alt="Button Image" src="{{image.thumb}}">
      </picture>
    {{/if}}

  </div>
{{else}}
  {{#unless showMap}}
    <div class="card-button card-button{{buttonType}} card-button--white">
      <div class="card-button__content">
        <div class="card-button__header">
          <div class="card-button__avatar d-flex align-items-center">
            {{#if (is-equal routeType "userList")}}
              <!-- {{#unless isButtonNetRoute}}
                  {{#if hasNetIcon}}
                    <div class="card-btn__tags card-button__nets">
                      {{#each buttonNetImgs as |net| }}
                        <div class="card-btn__link-tag card-btn__link-net">
                          <img src='https://help-buttons-staging.s3.eu-west-3.amazonaws.com/statics/assets/categories/{{net.imgUrl}}.png' alt="{{net.name}}" class="card-avatar card-btn__net-icon">Red {{net.name}}
                        </div>
                      {{/each}}
                    </div>
                  {{/if}}
              {{/unless}} -->
              {{#link-to profileRoute linkSegmentId class="card-button__avatar-container picture__img"}}
                {{#if hasCreatorAvatar}}
                  <img src="{{creatorAvatar.smallThumb}}" alt="Avatar" class="card-avatar picture__img">
                {{else}}
                  {{svg-jar 'profile_def' class="card-avatar picture__img"}}
                {{/if}}
              {{/link-to}}
            {{else}}
              {{#if button.isMine}}
                {{#link-to profileRoute class="card-button__avatar-container picture__img"}}
                  {{#if hasCreatorAvatar}}
                    <img src="{{creatorAvatar.smallThumb}}" alt="Avatar" class="card-avatar picture__img">
                  {{else}}
                    {{svg-jar 'profile_def' class="card-avatar picture__img"}}
                  {{/if}}
                {{/link-to}}
              {{else}}
                {{#link-to profileRoute linkSegmentId class="card-button__avatar-container picture__img"}}
                  {{#if hasCreatorAvatar}}
                    <img src="{{creatorAvatar.smallThumb}}" alt="Avatar" class="card-avatar picture__img">
                  {{else}}
                    {{svg-jar 'profile_def' class="card-avatar picture__img"}}
                  {{/if}}
                {{/link-to}}
              {{/if}}
            {{/if}}
          </div>
          <div class="card-button__info">
            <div class="card-button__status card-button__status{{buttonType}}">
              {{#if needsAndOffer}}
                {{#if button.swap}}
                  <span class="card-button__status--busca">NECESITA</span> y <span class="card-button__status--ofrece">OFRECE</span>
                {{else}}
                  <span class="card-button__status--ofrece">OFRECE</span> y <span class="card-button__status--busca">BUSCA</span>
                {{/if}}
              {{else}}
                {{buttonIntention}}
              {{/if}}
            </div>
            <div class="card-button__name">
              {{creator.nickname}}
            </div>
          </div>
          {{#unless isActivateRoute}}
            <div class="">
                {{#basic-dropdown horizontalPosition="right" verticalPosition="below" as |dropdown|}}
                  {{#dropdown.trigger class="card-button__trigger"}}
                    {{svg-jar "down" class="card-button__edit-icon"}}
                  {{/dropdown.trigger}}
                  {{#dropdown.content
                    class="card-button__dropdown-container"
                  }}
                    <div class="card-button__dropdown-arrow"></div>
                    <div class="card-button__dropdown-content">
                      <!-- profile menu -->
                    {{#if showEdit}}
                        {{#if isProfile}}
                            {{#if isSmallDevice}}
                                {{#if isButtonNetRoute}}
                                    {{#link-to 'button-net.buttons.new' button  hideWelcome=true}}
                                      <div class="card-button__trigger-options">
                                        Editar botón
                                      </div>
                                    {{/link-to}}
                                  {{else}}
                                    {{#link-to 'buttons.new' button  hideWelcome=true}}
                                      <div class="card-button__trigger-options">
                                        Editar botón
                                      </div>
                                    {{/link-to}}
                                {{/if}}
                            {{else}}
                              {{#if isButtonNetRoute}}
                                {{#link-to 'button-net.profile.new-button' button.id hideWelcome=true}}
                                  <div class="card-button__trigger-options">
                                    Editar botón
                                  </div>
                                {{/link-to}}
                              {{else}}
                                  {{#link-to 'profile.new-button' button.id hideWelcome=true}}
                                    <div class="card-button__trigger-options">
                                      Editar botón
                                    </div>
                                  {{/link-to}}
                              {{/if}}
                            {{/if}}
                        {{else if button.isEditable}}
                              {{#if button.isMine}}
                                    {{#if isSmallDevice}}
                                          {{#if isButtonNetRoute}}
                                            {{#link-to 'button-net.buttons.new' button  hideWelcome=true}}
                                              <div class="card-button__trigger-options">
                                                Editar botón
                                              </div>
                                            {{/link-to}}
                                          {{else}}
                                            {{#link-to 'buttons.new' button  hideWelcome=true}}
                                              <div class="card-button__trigger-options">
                                                Editar botón
                                              </div>
                                            {{/link-to}}
                                          {{/if}}
                                    {{else}}
                                        {{#if isButtonNetRoute}}
                                          {{#link-to 'button-net.index.index.new-button' button hideWelcome=true}}
                                            <div class="card-button__trigger-options">
                                              Editar botón
                                            </div>
                                          {{/link-to}}
                                        {{else}}
                                          {{#link-to 'index.index.new-button' button hideWelcome=true}}
                                            <div class="card-button__trigger-options">
                                              Editar botón
                                            </div>
                                          {{/link-to}}
                                        {{/if}}
                                    {{/if}}
                              {{/if}}
                              {{#if isButtonNetRoute}}
                                  <button {{action 'removeFromNet'}} tagName="a" class="card-button__trigger-options card-button__trigger-button">
                                    Quitar botón de la red
                                  </button>
                              {{/if}}
                        {{else}}
                              {{#if isSmallDevice}}
                                      {{#if isButtonNetRoute}}
                                        {{#link-to 'button-net.buttons.new' button  hideWelcome=true}}
                                          <div class="card-button__trigger-options">
                                            Editar botón
                                          </div>
                                        {{/link-to}}
                                      {{else}}
                                        {{#link-to 'buttons.new' button  hideWelcome=true}}
                                          <div class="card-button__trigger-options">
                                            Editar botón
                                          </div>
                                        {{/link-to}}
                                      {{/if}}
                              {{else}}
                                {{#if isButtonNetRoute}}
                                  {{#link-to 'button-net.index.index.new-button' button hideWelcome=true}}
                                    <div class="card-button__trigger-options">
                                      Editar botón
                                    </div>
                                  {{/link-to}}
                                {{else}}
                                  {{#link-to 'index.index.new-button' button hideWelcome=true}}
                                    <div class="card-button__trigger-options">
                                      Editar botón
                                    </div>
                                  {{/link-to}}
                                {{/if}}
                              {{/if}}
                          {{/if}}
                          {{#if showDelete}}
                                <button {{action 'removeButton'}} tagName="a" class="card-button__trigger-options card-button__trigger-button">
                                  Borrar botón
                                </button>
                          {{/if}}
                          {{#if showTransfer}}
                            {{#if showTransferField}}
                                <div class="card-button__trigger-options-input">
                                  {{input id='login-email' value=email class='card-button__trigger-options-input card-button__trigger-options-input--email' required=true placeholder="Email de destino"}}
                                </div>
                                <button {{action 'transferButton'}} tagName="a" class="card-button__trigger-options card-button__trigger-button">
                                  Transferir botón
                                </button>
                            {{/if}}
                            {{#unless showTransferField}}
                                <button {{action 'toggleAttr' 'showTransferField'}} tagName="a" class="card-button__trigger-options card-button__trigger-button">
                                  Transferir botón
                                </button>
                            {{/unless}}
                          {{/if}}
                      {{/if}}
                              <button {{action 'toggleAttr' 'hideShare'}} tagName="a" class="card-button__trigger-options card-button__trigger-button">
                                Compartir botón
                              </button>
                    </div>
                  {{/dropdown.content}}
                {{/basic-dropdown}}
              <!-- {{#unless button.isMine}}
              {{#unless session.isAuthenticated}}
                    {{#basic-dropdown horizontalPosition="right" verticalPosition="below" as |dropdown|}}
                      {{#dropdown.trigger class="card-button__trigger"}}
                        {{svg-jar "down" class="card-button__edit-icon"}}
                      {{/dropdown.trigger}}
                      {{#dropdown.content
                        class="card-button__dropdown-container"
                      }}
                        <div class="card-button__dropdown-arrow"></div>
                        <div class="card-button__dropdown-content">

                          <button {{action 'addReportCount'}} tagName="a" class="card-button__trigger-options card-button__trigger-button">
                            Reportar botón
                          </button>
                        </div>
                      {{/dropdown.content}}
                    {{/basic-dropdown}}
                    {{/unless}}
              {{/unless}} -->
            </div>
          {{/unless}}
        </div>
        <div class="card-button__hashtags">
          {{#if button.isChangeButton}}
            {{#if button.swap}}
              <div class="card-button__busca">
                {{#each button.neededTags as |tag|}}
                  {{#if isButtonNetRoute}}
                    {{#link-to 'button-net.index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                  {{else}}
                    {{#link-to 'index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                  {{/if}}
                {{/each}}
              </div>
            {{else}}
              <div class="card-button__ofrece">
                {{#each button.offerTags as |tag|}}
                  {{#if isButtonNetRoute}}
                    {{#link-to 'button-net.index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                  {{else}}
                    {{#link-to 'index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                  {{/if}}
                {{/each}}
              </div>
            {{/if}}
          {{/if}}
          {{#if button.isOfferButton}}
            <div class="card-button__ofrece">
              {{#each button.offerTags as |tag|}}
                {{#if isButtonNetRoute}}
                  {{#link-to 'button-net.index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                {{else}}
                  {{#link-to 'index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                {{/if}}
              {{/each}}
            </div>
          {{else}}
            {{#if button.swap}}
              <div class="card-button__ofrece">
                {{#each button.offerTags as |tag|}}
                  {{#if isButtonNetRoute}}
                    {{#link-to 'button-net.index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                  {{else}}
                    {{#link-to 'index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                  {{/if}}
                {{/each}}
              </div>
            {{else}}
              <div class="card-button__busca">
                {{#each button.neededTags as |tag|}}
                  {{#if isButtonNetRoute}}
                    {{#link-to 'button-net.index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                  {{else}}
                    {{#link-to 'index.index' (query-params searchTags=tag.name) class="hashtag"}}{{tag.name}}{{/link-to}}
                  {{/if}}
                {{/each}}
              </div>
            {{/if}}
          {{/if}}
        </div>
        <div class="card-button__paragraph">
          <p>{{{formatedDescription}}}</p>
          {{#if creator.showPhone}}
            <p class="card-button__phone">{{#if creator.showPhone}}{{#if creator.phone}}Tlf : {{creator.phone}}{{/if}}{{/if}}</p>
          {{/if}}
        </div>
        <div class="row">
          {{#if hasLocationName}}
            {{#if hasFromToLocation}}
              <div class="card-button__city col-auto" {{action 'toggleAttr' 'showMap'}}>
                De {{button.locationName}}
                  <br>
                {{#if button.toLocationName}}
                  <span class="card-button__toCity">
                    A {{button.toLocationName}}
                  </span>
                {{/if}}
              </div>
            {{else if button.anyLocation}}
                <div class="card-button__city card-button__everywhere col-auto" {{action 'toggleAttr' 'showMap'}}>
                En todas partes
                </div>
            {{else}}
              <div class="card-button__city col-auto" {{action 'toggleAttr' 'showMap'}}>
                {{button.locationName}}
              </div>
            {{/if}}
          {{/if}}
          <div class="card-button__date col-auto">
            {{#if hasFormatedDate}}
              {{formatedDate}}
            {{/if}}
          </div>
        </div>
      </div>
        {{#if imageFile}}
          <picture class="card-btn__picture picture">
            <img alt="Button Image" src="{{button.imageFile.medium}}">
          </picture>
        {{else}}
          {{#if hasImage}}
            <div class="card-button__picture">
              {{#if isList}}
                <picture class="picture card-button__image">
                  <img class="picture__img" alt="Button Image" src="{{image.thumb}}">
                </picture>
              {{else}}
                <picture class="picture">
                  <img class="picture__img" alt="Button Image" src="{{image.medium}}">
                </picture>
              {{/if}}
            </div>
          {{/if}}
      {{/if}}
    </div>
  {{else}}
    <div class="card-button card-button__map-container card-button--white">
      <button type="button" {{action 'toggleAttr' 'showMap'}} class="card-button__close-map header__button">
        {{svg-jar 'cross' class="icon"}}
      </button>
      {{!-- Map --}}
      {{#leaflet-map
        bounds=mapBounds
        onLoad=(action 'onMapLoad')
        zoomControl=false
        dragging=true
        minZoom=3
        class="card-button__map"
        as |layers|
      }}
        {{tile-layer url="https://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}.png" attribution='&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'}}
        {{#layers.marker
          draggable=false
          location=firstMarker
          icon=(div-icon
            html=(button-icon 'button' 'button.creator.avatar' 'neutro')
            iconSize=(point 50 60) iconAnchor=(point 25 60)
          )
         }}
        {{/layers.marker}}
        {{#if secondMarker}}
          {{#layers.marker
            draggable=false
            location=secondMarker
            icon=(div-icon
            html=(button-icon 'button' 'button.creator.avatar' 'neutro' )
            iconSize=(point 50 60) iconAnchor=(point 25 60)
            )
          }}
          {{/layers.marker}}
        {{/if}}
      {{/leaflet-map}}
    </div>
  {{/unless}}
{{/if}}
